Skip to main content
`Ctrl`+`K`

# PETSCSPRNG

access to the publicly available random number generator sprng

## Options Database Key

- -random_type (rander48|rand|rand48|sprng|random123|curand) - set the random number generator from the options database, see `PetscRandomType`.

## Note

PETSc must be ./configure with the option –download-sprng to use this random number generator.

## Developer Note

This is NOT currently using a parallel random number generator. Sprng does have an MPI version we should investigate.

## See Also

`RandomCreate()`, `RandomSetType()`, `PETSCRAND`, `PETSCRAND48`, `PetscRandomSetFromOptions()`

## Level

beginner

## Location

src/sys/classes/random/impls/sprng/sprng.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages